Greenbone Vulnerability Management Libraries: base/strings_tests.c File Reference

Greenbone Vulnerability Management Libraries 23.1.2

Functions
strings_tests.c File Reference
`#include "strings.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Functions
| Describe (strings)
| BeforeEach (strings)
| AfterEach (strings)
| Ensure (strings, gvm_append_string_appends_to_null_string)
| Ensure (strings, gvm_append_string_appends_to_existing_string)
| Ensure (strings, gvm_append_string_appends_empty_string)
| Ensure (strings, gvm_append_text_appends_to_null_string)
| Ensure (strings, gvm_append_text_appends_to_existing_string)
| Ensure (strings, gvm_append_text_appends_text_when_size_is_wrong)
| Ensure (strings, gvm_append_text_appends_partial_to_null)
| Ensure (strings, gvm_free_string_var_frees_string)
| Ensure (strings, gvm_free_string_var_frees_null_string)
| Ensure (strings, gvm_strip_space_strips_leading_spaces)
| Ensure (strings, gvm_strip_space_strips_trailing_spaces)
| Ensure (strings, gvm_strip_space_strips_both_ends)
| Ensure (strings, gvm_strip_space_strips_newlines)
| Ensure (strings, gvm_strip_space_empty_string)
| Ensure (strings, gvm_strip_space_only_spaces)
| Ensure (strings, gvm_strip_space_no_spaces)
int | main (int argc, char **argv)

## Function Documentation

## ◆ AfterEach()

AfterEach | ( | strings |  | ) |

## ◆ BeforeEach()

BeforeEach | ( | strings |  | ) |

## ◆ Describe()

Describe | ( | strings |  | ) |

## ◆ Ensure() [1/16]

Ensure | ( | strings | ,
|  | gvm_append_string_appends_empty_string | )

## ◆ Ensure() [2/16]

Ensure | ( | strings | ,
|  | gvm_append_string_appends_to_existing_string | )

## ◆ Ensure() [3/16]

Ensure | ( | strings | ,
|  | gvm_append_string_appends_to_null_string | )

## ◆ Ensure() [4/16]

Ensure | ( | strings | ,
|  | gvm_append_text_appends_partial_to_null | )

## ◆ Ensure() [5/16]

Ensure | ( | strings | ,
|  | gvm_append_text_appends_text_when_size_is_wrong | )

## ◆ Ensure() [6/16]

Ensure | ( | strings | ,
|  | gvm_append_text_appends_to_existing_string | )

## ◆ Ensure() [7/16]

Ensure | ( | strings | ,
|  | gvm_append_text_appends_to_null_string | )

## ◆ Ensure() [8/16]

Ensure | ( | strings | ,
|  | gvm_free_string_var_frees_null_string | )

## ◆ Ensure() [9/16]

Ensure | ( | strings | ,
|  | gvm_free_string_var_frees_string | )

## ◆ Ensure() [10/16]

Ensure | ( | strings | ,
|  | gvm_strip_space_empty_string | )

## ◆ Ensure() [11/16]

Ensure | ( | strings | ,
|  | gvm_strip_space_no_spaces | )

## ◆ Ensure() [12/16]

Ensure | ( | strings | ,
|  | gvm_strip_space_only_spaces | )

## ◆ Ensure() [13/16]

Ensure | ( | strings | ,
|  | gvm_strip_space_strips_both_ends | )

## ◆ Ensure() [14/16]

Ensure | ( | strings | ,
|  | gvm_strip_space_strips_leading_spaces | )

## ◆ Ensure() [15/16]

Ensure | ( | strings | ,
|  | gvm_strip_space_strips_newlines | )

## ◆ Ensure() [16/16]

Ensure | ( | strings | ,
|  | gvm_strip_space_strips_trailing_spaces | )

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )